package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcContractPaidMapper;
import com.ruoyi.oa.domain.CmcContractPaid;
import com.ruoyi.oa.service.ICmcContractPaidService;

/**
 * 实际回款Service业务层处理
 * 
 * @author cmc
 * @date 2025-02-12
 */
@Service
public class CmcContractPaidServiceImpl implements ICmcContractPaidService 
{
    @Autowired
    private CmcContractPaidMapper cmcContractPaidMapper;

    /**
     * 查询实际回款
     * 
     * @param paidId 实际回款主键
     * @return 实际回款
     */
    @Override
    public CmcContractPaid selectCmcContractPaidByPaidId(Long paidId)
    {
        return cmcContractPaidMapper.selectCmcContractPaidByPaidId(paidId);
    }

    /**
     * 查询实际回款列表
     * 
     * @param cmcContractPaid 实际回款
     * @return 实际回款
     */
    @Override
    public List<CmcContractPaid> selectCmcContractPaidList(CmcContractPaid cmcContractPaid)
    {
        return cmcContractPaidMapper.selectCmcContractPaidList(cmcContractPaid);
    }

    /**
     * 新增实际回款
     * 
     * @param cmcContractPaid 实际回款
     * @return 结果
     */
    @Override
    public int insertCmcContractPaid(CmcContractPaid cmcContractPaid)
    {
        return cmcContractPaidMapper.insertCmcContractPaid(cmcContractPaid);
    }

    /**
     * 修改实际回款
     * 
     * @param cmcContractPaid 实际回款
     * @return 结果
     */
    @Override
    public int updateCmcContractPaid(CmcContractPaid cmcContractPaid)
    {
        return cmcContractPaidMapper.updateCmcContractPaid(cmcContractPaid);
    }

    /**
     * 批量删除实际回款
     * 
     * @param contractIds 需要删除的实际回款主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractPaidByContractIds(String[] contractIds)
    {
        return cmcContractPaidMapper.deleteCmcContractPaidByContractIds(contractIds);
    }

    /**
     * 删除实际回款信息
     * 
     * @param contractId 实际回款主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractPaidByContractId(String contractId)
    {
        return cmcContractPaidMapper.deleteCmcContractPaidByContractId(contractId);
    }
}
